<template>
  <div
    v-if="prev || next"
    class="lg:px-8 dark:border-gray-800 flex justify-between pt-12"
    :class="{
      'lg:border-t-0': settings.layout === 'single',
    }"
  >
    <NuxtLink
      v-if="prev"
      :to="localePath(prev.to)"
      class="text-primary-500 dark:text-white hover:underline w-min flex items-center justify-start font-bold"
    >
      <IconArrowLeft class="flex-shrink-0 w-8 h-8" />
      <div class="flex flex-col items-start ml-2">
        <span class="text-xs truncate">{{ prev.category }}</span>
        <span class="text-md md:text-lg truncate">{{ prev.title }}</span>
      </div>
    </NuxtLink>
    <span v-else>&nbsp;</span>

    <NuxtLink
      v-if="next"
      :to="localePath(next.to)"
      class="text-primary-500 dark:text-white hover:underline w-min flex items-center justify-end font-bold"
    >
      <div class="flex flex-col items-end mr-2">
        <span class="text-xs truncate">{{ next.category }}</span>
        <span class="text-md md:text-lg truncate">{{ next.title }}</span>
      </div>
      <IconArrowRight class="flex-shrink-0 w-8 h-8 ml-1" />
    </NuxtLink>
    <span v-else>&nbsp;</span>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  props: {
    prev: {
      type: Object,
      default: () => null,
    },
    next: {
      type: Object,
      default: () => null,
    },
  },
  computed: {
    ...mapGetters(['settings']),
  },
}
</script>
